cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From d...@apache.org
Subject [1/3] git commit: updated refs/heads/4.4 to af4d1a6
Date Tue, 09 Dec 2014 09:52:08 GMT
Repository: cloudstack
Updated Branches:
  refs/heads/4.4 79f8d6f5c -> af4d1a635


remove biglock usage from ipsectunnel.sh

Biglock breaks creating VPN's when other scripts run at the
same time that also use the same biglock. These other scripts
do nothing that could harm our deployment and even multiple
vpn's can safely be created simultaniously.

(cherry picked from commit 8b412ce194eaf195dc77531379687de43e14a088)


Project: http://git-wip-us.apache.org/repos/asf/cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack/commit/2df7eb5b
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack/tree/2df7eb5b
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack/diff/2df7eb5b

Branch: refs/heads/4.4
Commit: 2df7eb5ba381775c614d9c982b3d7afc2ed3616e
Parents: 79f8d6f
Author: Remi Bergsma <rbergsma@schubergphilis.com>
Authored: Mon Dec 8 18:53:18 2014 +0100
Committer: Daan Hoogland <daan@onecht.net>
Committed: Tue Dec 9 10:50:04 2014 +0100

----------------------------------------------------------------------
 .../patches/debian/config/opt/cloud/bin/ipsectunnel.sh | 13 +++----------
 1 file changed, 3 insertions(+), 10 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack/blob/2df7eb5b/systemvm/patches/debian/config/opt/cloud/bin/ipsectunnel.sh
----------------------------------------------------------------------
diff --git a/systemvm/patches/debian/config/opt/cloud/bin/ipsectunnel.sh b/systemvm/patches/debian/config/opt/cloud/bin/ipsectunnel.sh
index e20c10f..9aa3f89 100755
--- a/systemvm/patches/debian/config/opt/cloud/bin/ipsectunnel.sh
+++ b/systemvm/patches/debian/config/opt/cloud/bin/ipsectunnel.sh
@@ -18,13 +18,6 @@
 
 source /root/func.sh
 
-lock="biglock"
-locked=$(getLockFile $lock)
-if [ "$locked" != "1" ]
-then
-    exit 1
-fi
-
 vpnconfdir="/etc/ipsec.d"
 vpnoutmark="0x525"
 vpninmark="0x524"
@@ -262,7 +255,7 @@ do
   p)    passive=1
         ;;
   ?)    usage
-        unlock_exit 2 $lock $locked
+        exit 2
         ;;
   esac
 done
@@ -301,7 +294,7 @@ then
     ret=$?
 else
     printf "Invalid action specified, must choose -A or -D to add/del tunnels\n" >&2
-    unlock_exit 5 $lock $locked
+    exit 5
 fi
 
-unlock_exit $ret $lock $locked
+exit $ret


Mime
View raw message